> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.crehana.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.crehana.com/_mcp/server.

# Get Knowledge Hub V2 Elevate Catalog

GET https://www.crehana.com/api/v5/rest/org/{organization_slug}/learning/content/knowledge-hub/catalog/v2/elevate/

Return the Elevate catalog available to the organization.

Reference: https://developer.crehana.com/api-reference/endpoints/learning-v-2/get-knowledge-hub-v-2-elevate-catalog

## Authentication

- `Api-Key` header (required) — API key of the organization. Always sent together with the `Secret-Access` header.

## Servers

- `https://www.crehana.com` (Production, default)
- `https://qa.creha.co` (QA)

## Request

### Path parameters

- `organization_slug` (string, required)

### Query parameters

- `first` (integer, optional, default: 10)
- `page` (integer, optional)

## Response

### 200

Successful Response

- `total_count` (integer, required)
- `page_info` (apps__learning__responses__PageInfo, required)
- `edges` (list of LearningV2Edge, required)

## Errors

### 400 Bad Request Error

Bad Request

- `message` (string, required)
- `errors` (list of string, required)
- `datetime` (string, optional)

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### apps__learning__responses__PageInfo

- `has_next_page` (boolean, required)
- `has_previous_page` (boolean, required)
- `start_cursor` (string, optional)
- `end_cursor` (string, optional)

### LearningV2Edge

- `node` (LearningV2Content, required)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### LearningV2Content

- `course` (LearningV2Course, required)
- `content_type` (string, optional)
- `content_path` (string, optional)
- `content_url` (string, optional)
- `absolute_url` (string, optional)
- `learning_url` (string, optional)
- `learning_absolute_url` (string, optional)

### ValidationErrorLocItems

### LearningV2Course

- `id` (string, required)
- `slug` (string, required)
- `title` (string, required)
- `content_value` (string, optional) — Id of the underlying course; send it as content_value when assigning the course to users
- `description` (string, optional)
- `image` (string, optional)
- `image_url` (string, optional)
- `modules` (list of apps__learning__responses__CourseModule, optional, default: [])
- `course_level` (apps__learning__responses__CourseLevel, optional)

### apps__learning__responses__CourseModule

- `id` (string, required)
- `name` (string, required)
- `order` (integer, required)
- `videos` (list of apps__learning__responses__Video, required)

### apps__learning__responses__CourseLevel

- `name` (string, required)

### apps__learning__responses__Video

- `id` (string, required)
- `title` (string, required)
- `order` (integer, required)

## Examples

**Response**

```json
{
  "total_count": 1,
  "page_info": {
    "has_next_page": true,
    "has_previous_page": true,
    "start_cursor": "string",
    "end_cursor": "string"
  },
  "edges": [
    {
      "node": {
        "course": {
          "id": "string",
          "slug": "string",
          "title": "string",
          "content_value": "string",
          "description": "string",
          "image": "string",
          "image_url": "string",
          "modules": [
            {
              "id": "string",
              "name": "string",
              "order": 1,
              "videos": [
                {
                  "id": "string",
                  "title": "string",
                  "order": 1
                }
              ]
            }
          ],
          "course_level": {
            "name": "string"
          }
        },
        "content_type": "string",
        "content_path": "string",
        "content_url": "string",
        "absolute_url": "string",
        "learning_url": "string",
        "learning_absolute_url": "string"
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://www.crehana.com/api/v5/rest/org/organization_slug/learning/content/knowledge-hub/catalog/v2/elevate/"

headers = {
    "Secret-Access": "Secret-Access",
    "Api-Key": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://www.crehana.com/api/v5/rest/org/organization_slug/learning/content/knowledge-hub/catalog/v2/elevate/';
const options = {
  method: 'GET',
  headers: {'Secret-Access': 'Secret-Access', 'Api-Key': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.crehana.com/api/v5/rest/org/organization_slug/learning/content/knowledge-hub/catalog/v2/elevate/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Secret-Access", "Secret-Access")
	req.Header.Add("Api-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://www.crehana.com/api/v5/rest/org/organization_slug/learning/content/knowledge-hub/catalog/v2/elevate/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Secret-Access"] = 'Secret-Access'
request["Api-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.crehana.com/api/v5/rest/org/organization_slug/learning/content/knowledge-hub/catalog/v2/elevate/")
  .header("Secret-Access", "Secret-Access")
  .header("Api-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.crehana.com/api/v5/rest/org/organization_slug/learning/content/knowledge-hub/catalog/v2/elevate/', [
  'headers' => [
    'Api-Key' => '<apiKey>',
    'Secret-Access' => 'Secret-Access',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://www.crehana.com/api/v5/rest/org/organization_slug/learning/content/knowledge-hub/catalog/v2/elevate/");
var request = new RestRequest(Method.GET);
request.AddHeader("Secret-Access", "Secret-Access");
request.AddHeader("Api-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Secret-Access": "Secret-Access",
  "Api-Key": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.crehana.com/api/v5/rest/org/organization_slug/learning/content/knowledge-hub/catalog/v2/elevate/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```